c==================================
       SUBROUTINE read_baranov_data(wn_arr,temp_arr,dim_arr)
c----------------------------------
c       Data source: Dr. Mischna, personal communication.
c       Dr. Mischna got the file and code from open internet source of Wordsworth (which cannot be found anymore).
c       So, may be right reference will be Baranov and Wordsworth.
c==================================
       IMPLICIT NONE
       INTEGER, PARAMETER ::             
      .  nS=3000           !c-mm  Number of wavenumbers of data available
      .  ,nT=9             !c-mm  Number of temperatures of data available

       REAL*8, DIMENSION(nS) ::
      .  wn_arr
       REAL*8, DIMENSION(nT) ::
      .  temp_arr

       REAL*8, DIMENSION(nS,nT) ::
      .  dim_arr

       INTEGER :: ios

   
       OPEN(33,file='CO2_dimer_data_Baranov',form='unformatted',status='old',iostat=ios)

       IF (ios /= 0) THEN        ! file not found
         WRITE(*,*) 'Error!'
         WRITE(*,*) 'CO2 CIA data file could not be found.'
         STOP
       ELSE
         READ(33) wn_arr
         READ(33) temp_arr
         READ(33) dim_arr
       ENDIF
       CLOSE(33)

       RETURN

       END SUBROUTINE read_baranov_data
